Dpkg: la zone de la base de données d'état es [Fermé]

Signaler
Messages postés
69
Date d'inscription
dimanche 20 juillet 2008
Statut
Membre
Dernière intervention
5 octobre 2009
-
 debian -
Bonjour,

aprés avoir essayé d'installer un paquet deb j'ai eu d'affichée une page dans le terminal en anglais
(pour moi le chinois c'est pareil) avec en bas ecrit <ok> et là comme je ne savais pas quoi faire j'avais beau appuyer sur entrée ou sur échappe rien à faire jai donc couper le terminal et rééssayé et là il me dit ça

dpkg: la zone de la base de données d'état est verrouillée par un autre processus

alors je demande un peut d'aide s'il vous plaît

merci d'avance
A voir également:

13 réponses

Messages postés
2
Date d'inscription
vendredi 23 septembre 2011
Statut
Membre
Dernière intervention
23 septembre 2011
9
Slt Monsieu ,j'avai le meme probleme ,mai c bon ,je pense que j'en ai la solution il suffit de supprimer le fichier /var/lib/dpkg/lock en utilisant la command
rm /var/lib/dpkg/lock ....
11
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 65492 internautes nous ont dit merci ce mois-ci

Messages postés
5093
Date d'inscription
mercredi 19 décembre 2007
Statut
Contributeur
Dernière intervention
15 juillet 2015
723
Bonjour,

essaye avec
dpkg --reconfigure -a
en root pour supprimer le blocage.
En cas de doute, il vaut mieux chercher ou demander de l'aide pour savoir que faire. Ce peut être une demande d'autorisation pur occuper x octets, pour installer une dépendance, ou un message d'erreur.
Pour Debian, il vaut mieux indiquer aussi laquelle, stable, testing/lenny ou sid.
Messages postés
5093
Date d'inscription
mercredi 19 décembre 2007
Statut
Contributeur
Dernière intervention
15 juillet 2015
723
Ok, esaye alors simplement
dpkg --configure -a
au lieu de reconfigure. Je connais le problème, je l'ai eu pour des drivers Brother, et je vais encore l'avoir quand je mettrai le driver nVidia. Donc, si je trouve pour toi, je trouve pour moi aussi.
Messages postés
69
Date d'inscription
dimanche 20 juillet 2008
Statut
Membre
Dernière intervention
5 octobre 2009
10
slt Non2,

merci de me répondre , j'ai oublié de préciser c'est la lenny mais avec la etch c'était pareil à chaque fois qu'on veut installer un un log avec licence gpl on ne sait plus quoi faire ça affiche un truc et on ne peut pas l'enlever on est donc obliger de couper le terminal et aprés bon pour une réinstallation car ça va plus vite que d'essayer de trouver comment ça marche voilà ce que donne

dpkg --reconfigure -a
Taper dpkg --help pour une obtenir une aide sur l'installation et la désinstallation des paquets [*] ;
Utiliser « dselect » ou « aptitude » pour gérer le paquets de manière
plus conviviale ;
Taper dpkg -Dhelp pour une obtenir une liste des valeurs drapeaux de débogage ;
Taper dpkg --force-help pour consulter la liste des options de forçage ;
Taper dpkg-deb --help pour une obtenir une aide sur la manipulation des fichiers *.deb ;
Taper dpkg --licence pour voir la licence copyright et l'absence de garantie (GNU GPL) [*].

Les options marquées d'un [*] affichent beaucoup d'informations - tubez-les à travers « less » ou « more ».
Messages postés
69
Date d'inscription
dimanche 20 juillet 2008
Statut
Membre
Dernière intervention
5 octobre 2009
10
il me met ça

dpkg --configure -a
dpkg: la zone de la base de données d'état est verrouillée par un autre processus
Messages postés
5093
Date d'inscription
mercredi 19 décembre 2007
Statut
Contributeur
Dernière intervention
15 juillet 2015
723
Essaye un "aptitude update" (toujours en root) pour actualiser la base.
Messages postés
69
Date d'inscription
dimanche 20 juillet 2008
Statut
Membre
Dernière intervention
5 octobre 2009
10
ça marche pas
aptitude update
E: Impossible de verrouiller /var/lib/dpkg/lock - open (11 Ressource temporairement non disponible)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
W: Impossible de verrouiller le fichier cache : cela est en général dû à une installation simultanée de paquets avec dpkg ou un autre outil comme APT. Ouverture en mode lecture seule : AUCUNE des modifications de l'état des paquets que vous pourrez faire ne sera conservée.
Atteint http://ftp.fr.debian.org lenny Release.gpg
Ign http://ftp.fr.debian.org lenny/main Translation-fr
Atteint http://ftp.fr.debian.org lenny Release
Atteint https://www.debian.org/security/ lenny/updates Release.gpg
Ign https://www.debian.org/security/ lenny/updates/main Translation-fr
Atteint https://www.debian.org/security/ lenny/updates Release
Atteint http://ftp.fr.debian.org lenny/main Packages/DiffIndex
Ign https://www.debian.org/security/ lenny/updates/main Packages/DiffIndex
Ign https://www.debian.org/security/ lenny/updates/main Sources/DiffIndex
Atteint http://ftp.fr.debian.org lenny/main Sources/DiffIndex
Atteint https://www.debian.org/security/ lenny/updates/main Packages
Atteint https://www.debian.org/security/ lenny/updates/main Sources
E: Impossible de verrouiller /var/lib/dpkg/lock - open (11 Ressource temporairement non disponible)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
E: Impossible de reconstruire le cache des paquets
E: Impossible de verrouiller /var/lib/dpkg/lock - open (11 Ressource temporairement non disponible)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

W: Impossible de verrouiller le fichier cache : cela est en général dû à une installation simultanée de paquets avec dpkg ou un autre outil comme APT. Ouverture en mode lecture seule : AUCUNE des modifications de l'état des paquets que vous pourrez faire ne sera conservée.
Messages postés
5093
Date d'inscription
mercredi 19 décembre 2007
Statut
Contributeur
Dernière intervention
15 juillet 2015
723
Y a-t'il un autre processus qui utilise apt ou aptitude ? Si c'est le cas, il n'y en n'a qu'un seul à la fois qui soit admis, il faudra le quitter pour avoir l'accès. Et ensuite réessayer dpkg --configure -a ou l'update de la base.
Pour connaitre les processus en cour et pouvoir les killer, Ctrl + Echapp.
Au pire il faudra redémarrer une nouvelle session.

PS : j'ai des difficultés à avoir le site (et uniquement CCM, quel que soit le navigateur). Est-ce seulement moi ou est-ce général ?
Messages postés
69
Date d'inscription
dimanche 20 juillet 2008
Statut
Membre
Dernière intervention
5 octobre 2009
10
bon je laisse tomber
la lenny est encore plus lourde que la etch si je reste connecté avec la lenny mon ordi crame dans une demi-heure car depuis que je suis connecté mon ventilo tourne comme un malade donc obligé de retourner sur windows ça demande trop de ressources linux à plus
Messages postés
5093
Date d'inscription
mercredi 19 décembre 2007
Statut
Contributeur
Dernière intervention
15 juillet 2015
723
Plus lourde ? Bizarre. Par contre, c'est vrai, j'ai vu il y a quelques jours que les pilotes pour permettre la modification de la vitesse des ventilos étaient retirés de Testing, A moins de jouer sur les différents dépôts, ce serait inutilisable pour l'instant.

Pour de l'aide Debian en français, c'est ici : http://www.fr.debian.org/
Directement du fabricant au consommateur ! Et il y a tellement d'infos que je n'ai pas encore trouvé ce que je ne trouverai pas !
Dans mon cas c'était à cause du gestionnaire graphique de paquet qui était lancé en même temps que ma console -_-.
Messages postés
2
Date d'inscription
vendredi 23 septembre 2011
Statut
Membre
Dernière intervention
23 septembre 2011
9
Slt Monsieu ,j'avai le meme probleme ,mai c bon ,je pense que j'en ai la solution il suffit de supprimer le fichier /var/lib/dpkg/lock en utilisant la command
rm /var/lib/dpkg/lock
Messages postés
279
Date d'inscription
vendredi 11 février 2011
Statut
Membre
Dernière intervention
30 mars 2012
12
je ne m'y connais que très peu mais regarde voir si la commande kill ne peut pas être utile à ca ! (remarque à prendre avec précaution car je ne suis pas certain de ce que je dit)
Salut moi j'avais le meme probleme c'etait juste le gestionaire de paquet synaptic qui etait ouvert j'en conclu donc qu 'il y a juste un programe qui utilise dpkg. voila si cela peut aider quelqu'un ou pas :)